Subject: New sendmail 5.65c+IDA-1.4.4.1 binaries + patches
From: [email-masked] (Eric Negaard)
Date: Thu, 18 Mar 1993 07:20:33 GMT
Newsgroups: comp.os.linux.announce

I have uploaded a new version of sendmail and some utilities
to sunsite.unc.edu, called sm5.65c+.tar.z (gzipped).  Here
is the README:

I tried to use the version of sendmail posted by Nathan Laredo, but ran
into quite a few problems.  It dumped core if an aliases database existed,
the daemon didn't respond to EXPN or VRFY commands, and it didn't log
messages to syslogd (at least not mine).  I went ahead and did my own
port of the sendmail5.65c+IDA-1.4.4.1 sources from UIUC (uxc.cso.uiuc.edu).

Note that I have not included a sendmail.cf file.  Sorry, but you're
on your own for that one.

Contents of the distribution:

	IDA-patch		Patches to files in IDA src directory.
	README.linux		This file
	aliases.5		Manual page for aliases database format
	dbm			IDA utility for creating databases (untested)
	dbm.1			Manual page for dbm
	mkdomext		IDA utility to: "Make the exteneded set of
				domain names" (untested)
	mkdomext.1		Manual page for mkdomext
	newaliases.1		Manual page
	rmail			IDA rmail binary (untested)
	scanf			IDA utility for scanning Class files (untested)
	sendmail.8		Manual page for sendmail
	sendmail		sendmail binary
	sendmail.hf		Sendmail help file
	syslogd-fifo		Version of syslogd that opens /dev/log
				as a named pipe, for receiving local messages.
	xalparse		IDA utility for parsing extended aliases
				(untested)
	xalparse.8		Manual page for xalparse

(All binaries are statically compiled with gcc2.3.3 and libc.4.3.2.)

To install:

mv sendmail /usr/lib/sendmail
chown root.wheel /usr/lib/sendmail
chmod 4511 /usr/lib/sendmail
ln -s /usr/lib/sendmail /usr/bin/mailq
ln -s /usr/lib/sendmail /usr/bin/newaliases
ln -s /usr/lib/sendmail /bin/sendmail	# For Nathan Laredo's elm binaries
mkdir /usr/lib/mail
chown root.wheel /usr/lib/mail
mv sendmail.hf dbm mkdomext scanf xalparse /usr/lib/mail
touch /usr/lib/mail/sendmail.st
chmod 666 /usr/lib/mail/sendmail.st
mv rmail /bin
chown root /bin/rmail
chmod 4755 /bin/rmail
mkdir /usr/spool/mqueue
chown root.wheel /usr/spool/mqueue
chmod 755 /usr/spool/mqueue

Note: sendmail uses nlist and reads avenrun to determine the load average,
and expects to find an unstripped kernel image in /vmlinux (it also looks
in /usr/src/linux/tools/system).

Eric Negaard <[email-masked]>

-- 
Send submissions for comp.os.linux.announce to: [email-masked]